module AIBECS

using Reexport
@reexport using SparseArrays
using SuiteSparse, LinearAlgebra, Printf
using DualNumbers, DualMatrixTools
using HyperDualNumbers, HyperDualMatrixTools
using Flatten, FieldMetadata, DataFrames
using JLD2
@reexport using Unitful, UnitfulAstro

include("GridTools.jl")
include("SinkingParticles.jl")
include("newTypes.jl")
include("CTKsolvers.jl")
include("CTKsolvers2.jl")
include("overload_solve.jl")
include("multiTracer.jl")
include("Parameters.jl")
include("OCIM.jl")
include("SixBoxModel.jl")

end # module
